aboutsummaryrefslogtreecommitdiffhomepage
path: root/kokoro/release/macos/build_artifacts.sh
diff options
context:
space:
mode:
Diffstat (limited to 'kokoro/release/macos/build_artifacts.sh')
-rwxr-xr-xkokoro/release/macos/build_artifacts.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/kokoro/release/macos/build_artifacts.sh b/kokoro/release/macos/build_artifacts.sh
new file mode 100755
index 00000000..23135ca3
--- /dev/null
+++ b/kokoro/release/macos/build_artifacts.sh
@@ -0,0 +1,19 @@
+#!/bin/bash
+
+set -ex
+
+# change to repo root
+cd $(dirname $0)/../../..
+
+# all artifacts come here
+mkdir artifacts
+export ARTIFACT_DIR=$(pwd)/artifacts
+
+# ruby environment
+bash kokoro/release/macos/ruby/ruby_build_environment.sh
+
+gem install rubygems-update
+update_rubygems
+
+# build artifacts
+bash kokoro/release/macos/ruby/ruby_build.sh